/*
 * Routine conue par Raphal Pasquier
*/
/*
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*
 * Multiplication de 2 nombres par la mthode de Pollard
 * Version optimise pour la vitesse
 */

#ifndef DIFFCYCLE_x86_64_H
#define DIFFCYCLE_x86_64_H


void aurora_x86_64(unsigned long int* dt ) ;
double diffcycle(unsigned long int dt,unsigned long int dt2 ) ; // return (dt - dt2)/1024


#endif

